%global debug_package %{nil}

%define name yabinero
%define version 1.69.0
%define release %mkrel 1

Summary: Yet Another Binero Puzzle

Name: %{name}
Version: %{version}
Release: %{release}
Source0: https://github.com/nsalguero/%{name}/archive/v%{version}.tar.gz
# ex: tar xzf v1.0.0.tar.gz; cd yabinero-1.0.0; cargo vendor; tar cvJf ../yabinero-cargo-vendor-1.0.0.tar.xz vendor/
Source1: %{name}-cargo-vendor-%{version}.tar.xz

License: GPLv3+
Group: Games/Puzzles
Url: https://github.com/nsalguero/%{name}

BuildRequires: desktop-file-utils
BuildRequires: cargo
BuildRequires: cmake
BuildRequires: gettext
BuildRequires: git
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xft)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(libbsd)
BuildRequires: pkgconfig(liblzma)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(bzip2)
BuildRequires: pkgconfig(pango)

%description
This software can generate and solve binero puzzles.

The icon was created by the author of this game using GIMP.  The other icons
come from Openclipart.

The two ogg files come from the conversion of WAVE files that come from K3B.

%prep
%autosetup -p1

%__mkdir_p .cargo
cat > .cargo/config << "EOF"
[source.crates-io]
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "vendor"
EOF
tar xf %{S:1}

%build
cargo build --release

cat > %{name}-wrapper << "EOF"
#!/bin/sh
cd %{_datadir}/games/%{name}
exec ./%{name}
EOF

cat > %{name}.desktop << "EOF"
[Desktop Entry]
Encoding=UTF-8
Name=Binero Game
Name[fr]=Jeu de Binero
Comment=Yet Another Binero Game
Comment[fr]=Encore Un Jeu de Binero
Exec=%{_prefix}/games/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;LogicGame;
EOF

%install
mkdir -p %{buildroot}/%{_datadir}/games/%{name}
install -m 0755 target/release/%{name} %{buildroot}/%{_datadir}/games/%{name}

install -m 0644 LICENSE %{buildroot}/%{_datadir}/games/%{name}

mkdir -p %{buildroot}/%{_datadir}/games/%{name}/icons
install -m 0644 icons/* %{buildroot}/%{_datadir}/games/%{name}/icons

mkdir -p %{buildroot}/%{_datadir}/games/%{name}/locale/fr/LC_MESSAGES
install -m 0644 locale/fr/LC_MESSAGES/%{name}.mo %{buildroot}/%{_datadir}/games/%{name}/locale/fr/LC_MESSAGES

mkdir -p %{buildroot}/%{_datadir}/games/%{name}/sounds
install -m 0644 sounds/*.ogg %{buildroot}/%{_datadir}/games/%{name}/sounds

mkdir -p %{buildroot}/%{_iconsdir}
install -m 0644 icons/icon.png %{buildroot}/%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}/%{_prefix}/games
install -m 0755 %{name}-wrapper %{buildroot}/%{_prefix}/games/%{name}

desktop-file-install --vendor="" \
                     --dir=%{buildroot}/%{_datadir}/applications/ \
                     %{name}.desktop

%files
%doc README.md
%license LICENSE

%{_datadir}/games/%{name}/%{name}
%{_datadir}/games/%{name}/LICENSE
%{_datadir}/games/%{name}/icons/icon.png
%{_datadir}/games/%{name}/icons/*.svg
%{_datadir}/games/%{name}/locale/fr/LC_MESSAGES/%{name}.mo
%{_datadir}/games/%{name}/sounds/*.ogg

%{_iconsdir}/%{name}.png

%{_prefix}/games/%{name}

%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Jun 26 2025 ns80 <ns80> 1.69.0-1.mga10
+ Revision: 2196797
- new version 1.69.0 to fix building with cmake 4

* Mon Jan 29 2024 ns80 <ns80> 1.68.0-1.mga10
+ Revision: 2035748
- new version 1.68.0 to fix a crash when the game is launched for the first time (mga#32779)

* Fri Jan 26 2024 ns80 <ns80> 1.67.0-1.mga10
+ Revision: 2035030
- new version 1.67.0

* Tue Jan 23 2024 ns80 <ns80> 1.66.0-1.mga10
+ Revision: 2033935
- new version 1.66.0

* Tue Apr 04 2023 ns80 <ns80> 1.63.0-3.mga9
+ Revision: 1951388
- add upstream patches for FLTK fixes

* Fri Mar 31 2023 ns80 <ns80> 1.63.0-2.mga9
+ Revision: 1951022
- update dependencies to remove slice-deque which is affected by CVE-2021-29938

* Mon Jan 30 2023 ns80 <ns80> 1.63.0-1.mga9
+ Revision: 1936938
- new version 1.63.0

* Tue Jan 10 2023 ns80 <ns80> 1.62.0-1.mga9
+ Revision: 1932098
- new version 1.62.0

* Mon Dec 05 2022 ns80 <ns80> 1.61.0-1.mga9
+ Revision: 1918035
- new version 1.61.0

* Mon Nov 14 2022 ns80 <ns80> 1.60.0-1.mga9
+ Revision: 1907244
- new version 1.60.0

* Tue Sep 27 2022 ns80 <ns80> 1.59.0-1.mga9
+ Revision: 1892701
- new version 1.59.0

* Tue Jul 12 2022 ns80 <ns80> 1.58.0-1.mga9
+ Revision: 1868544
- new version 1.58.0

* Mon Jul 11 2022 ns80 <ns80> 1.57.0-1.mga9
+ Revision: 1868485
- new version 1.57.0

* Mon Jun 13 2022 ns80 <ns80> 1.56.0-1.mga9
+ Revision: 1864340
- new version 1.56.0

* Fri Jun 10 2022 ns80 <ns80> 1.55.0-1.mga9
+ Revision: 1863943
- new version 1.55.0

* Mon May 23 2022 ns80 <ns80> 1.54.0-1.mga9
+ Revision: 1859897
- new version 1.54.0

* Fri May 20 2022 ns80 <ns80> 1.53.0-1.mga9
+ Revision: 1859384
- imported package yabinero

